extends Scene

func _on_room_looked() -> void:
    pass

func _on_kq4_080_lolottes_castle_entrance_interacted() -> void:
    var target_scene = load("res://scenes/kq4_080_lolottes_castle_entrance/kq4_080_lolottes_castle_entrance.tscn")
    if target_scene:
        get_tree().change_scene_to_packed(target_scene)

func _on_kq4_030_mountain_pass_interacted() -> void:
    var target_scene = load("res://scenes/kq4_030_mountain_pass/kq4_030_mountain_pass.tscn")
    if target_scene:
        get_tree().change_scene_to_packed(target_scene)
